<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>ExtentBuffer (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ExtentBuffer (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/extent/buffer/ForgetfulExtentBuffer.html" title="class in com.sk89q.worldedit.extent.buffer"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extent/buffer/ExtentBuffer.html" target="_top">Frames</a></li>
<li><a href="ExtentBuffer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extent.buffer</div>
<h2 title="Class ExtentBuffer" class="title">Class ExtentBuffer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html" title="class in com.sk89q.worldedit.extent">com.sk89q.worldedit.extent.AbstractDelegateExtent</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.extent.buffer.ExtentBuffer</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>, <a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a>, <a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ExtentBuffer</span>
extends <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html" title="class in com.sk89q.worldedit.extent">AbstractDelegateExtent</a></pre>
<div class="block">Buffers changes to an <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent"><code>Extent</code></a> and allows retrieval of the changed blocks,
 without modifying the underlying extent.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/buffer/ExtentBuffer.html#ExtentBuffer-com.sk89q.worldedit.extent.Extent-">ExtentBuffer</a></span>(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;delegate)</code>
<div class="block">Create a new extent buffer that will buffer every change.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/buffer/ExtentBuffer.html#ExtentBuffer-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.function.mask.Mask-">ExtentBuffer</a></span>(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;delegate,
            <a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask)</code>
<div class="block">Create a new extent buffer that will buffer changes that meet the criteria
 of the given mask.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/buffer/ExtentBuffer.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">getBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Get a snapshot of the block at the given location.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/buffer/ExtentBuffer.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">getFullBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Get a immutable snapshot of the block at the given location.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;T&gt;&gt;<br>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/buffer/ExtentBuffer.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">setBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;location,
        T&nbsp;block)</code>
<div class="block">Change the block at the given location to the given block.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extent.AbstractDelegateExtent">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.extent.<a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html" title="class in com.sk89q.worldedit.extent">AbstractDelegateExtent</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#commit--">commit</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#commitBefore--">commitBefore</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">createEntity</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getBiome-com.sk89q.worldedit.math.BlockVector2-">getBiome</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getEntities--">getEntities</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getEntities-com.sk89q.worldedit.regions.Region-">getEntities</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getExtent--">getExtent</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getMaximumPoint--">getMaximumPoint</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getMinimumPoint--">getMinimumPoint</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">setBiome</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ExtentBuffer-com.sk89q.worldedit.extent.Extent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ExtentBuffer</h4>
<pre>public&nbsp;ExtentBuffer(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;delegate)</pre>
<div class="block">Create a new extent buffer that will buffer every change.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>delegate</code> - the delegate extent for <a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-"><code>InputExtent.getBlock(BlockVector3)</code></a>, etc. calls</dd>
</dl>
</li>
</ul>
<a name="ExtentBuffer-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ExtentBuffer</h4>
<pre>public&nbsp;ExtentBuffer(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;delegate,
                    <a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask)</pre>
<div class="block">Create a new extent buffer that will buffer changes that meet the criteria
 of the given mask.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>delegate</code> - the delegate extent for <a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-"><code>InputExtent.getBlock(BlockVector3)</code></a>, etc. calls</dd>
<dd><code>mask</code> - the mask</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBlock-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlock</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;getBlock(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">InputExtent</a></code></span></div>
<div class="block">Get a snapshot of the block at the given location.

 <p>If the given position is out of the bounds of the extent, then the behavior
 is undefined (an air block could be returned). However, <code>null</code>
 should <strong>not</strong> be returned.</p>

 <p>The returned block is immutable and is a snapshot of the block at the time
 of call. It has no position attached to it, so it could be reused in
 <a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern"><code>Pattern</code></a>s and so on.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">getBlock</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">getBlock</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html" title="class in com.sk89q.worldedit.extent">AbstractDelegateExtent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the block</dd>
</dl>
</li>
</ul>
<a name="getFullBlock-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFullBlock</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>&nbsp;getFullBlock(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">InputExtent</a></code></span></div>
<div class="block">Get a immutable snapshot of the block at the given location.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">getFullBlock</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">getFullBlock</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html" title="class in com.sk89q.worldedit.extent">AbstractDelegateExtent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the block</dd>
</dl>
</li>
</ul>
<a name="setBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockStateHolder-">
<!--   -->
</a><a name="setBlock-com.sk89q.worldedit.math.BlockVector3-T-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBlock</h4>
<pre>public&nbsp;&lt;T extends <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;T&gt;&gt;&nbsp;boolean&nbsp;setBlock(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;location,
                                                        T&nbsp;block)
                                                 throws <a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">OutputExtent</a></code></span></div>
<div class="block">Change the block at the given location to the given block. The operation may
 not tie the given <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block"><code>BlockStateHolder</code></a> to the world, so future changes to the
 <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block"><code>BlockStateHolder</code></a> do not affect the world until this method is called again.

 <p>The return value of this method indicates whether the change was probably
 successful. It may not be successful if, for example, the location is out
 of the bounds of the extent. It may be unsuccessful if the block passed
 is the same as the one in the world. However, the return value is only an
 estimation and it may be incorrect, but it could be used to count, for
 example, the approximate number of changes.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">setBlock</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">setBlock</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html" title="class in com.sk89q.worldedit.extent">AbstractDelegateExtent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>location</code> - position of the block</dd>
<dd><code>block</code> - block to set</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the block was successfully set (return value may not be accurate)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code> - thrown on an error</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/extent/buffer/ForgetfulExtentBuffer.html" title="class in com.sk89q.worldedit.extent.buffer"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extent/buffer/ExtentBuffer.html" target="_top">Frames</a></li>
<li><a href="ExtentBuffer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
